Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QRegExp.PatternSyntax

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QRegExp.PatternSyntax

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QRegExp

    public static final class QRegExp.PatternSyntax

extends java.lang.Enum
implements QtEnumerator

The syntax used to interpret the meaning of the pattern.

See also:
  `setPatternSyntax()`.

See Also:
  Serialized Form

Field Summary
`static QRegExp.PatternSyntax` | `FixedString` The pattern is a fixed string.
`static QRegExp.PatternSyntax` | `RegExp` A rich Perl-like pattern matching syntax.
`static QRegExp.PatternSyntax` | `RegExp2` Like `RegExp` , but with `greedy quantifiers`.
`static QRegExp.PatternSyntax` | `Wildcard` This provides a simple pattern matching syntax similar to that used by shells (command interpreters) for "file globbing".

Method Summary
`static QRegExp.PatternSyntax` | `resolve(int value)` Returns the QRegExp$PatternSyntax constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QRegExp.PatternSyntax` | `valueOf(java.lang.String name)`
`static QRegExp.PatternSyntax[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### RegExp

    public static final QRegExp.PatternSyntax RegExp

  A rich Perl-like pattern matching syntax. This is the default.

### Wildcard

    public static final QRegExp.PatternSyntax Wildcard

  This provides a simple pattern matching syntax similar to that used by shells (command interpreters) for "file globbing". See `Wildcard Matching`.

### FixedString

    public static final QRegExp.PatternSyntax FixedString

  The pattern is a fixed string. This is equivalent to using the `RegExp` pattern on a string in which all metacharacters are escaped using `escape()`.

### RegExp2

    public static final QRegExp.PatternSyntax RegExp2

  Like `RegExp` , but with `greedy quantifiers`. This will be the default in Qt 5. (Introduced in Qt 4.2.)

Method Detail

### values

    public static QRegExp.PatternSyntax[] values()

### valueOf

    public static QRegExp.PatternSyntax valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QRegExp.PatternSyntax resolve(int value)

  Returns the QRegExp$PatternSyntax constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD